=== debian/changelog ===
lemonldap-ng (1.3.3-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Imported Upstream version 1.3.3 (Closes: #736739, #736807)
  * Update images copyrights
  * Add captcha directories management
  * Rename liblemonldap-ng-conf-perl to liblemonldap-ng-common-perl with a
    transitional package
  * Add libnet-facebook-oauth2-perl to recommended dependencies
  * Add libunicode-string-perl in dependencies
  * Rearrange dependencies as required in upstream
  * Update lintian overrides to add notifications directory
  * Call "migrate" debconf arg only if a previous version exists
  * Bump Standards-Version to 3.9.5
  * Update javascript patch
  * Restore libxml-simple-perl in manager dependencies
  * Add psession dirs in lintian overrides
  * Use dpkg only to compare versions
  * Modify Apache-2.4 patch to be compliant both with Apache 2.2 and 2.4
    unsing mod_version

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Guard `dpkg --compare-versions' call in .config script with a check if
    the currently installed package version exists.
    Thanks to Ryan Tandy for the bug report. (Closes: #755945)
  * Explicitly (build) depend on libcgi-pm-perl.
  * Declare compliance with Debian Policy 3.9.6.

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 15 Oct 2014 21:14:52 +0200
