=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8),
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthcas-perl,
                     libauthen-captcha-perl,
                     libcache-cache-perl,
                     libcgi-pm-perl,
                     libclone-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libconfig-inifiles-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libglib-perl,
                     libhtml-template-perl,
                     libio-string-perl,
                     libjson-perl,
                     liblasso-perl (>= 2.3.0),
                     libmime-lite-perl,
                     libnet-cidr-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libregexp-assemble-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     libunicode-string-perl,
                     liburi-perl,
                     libhttp-message-perl | libwww-perl (<< 6),
                     libwww-perl,
                     libxml-libxml-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/lemonldap-ng.git
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Description: OpenID, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libapache2-mod-perl2,
         libcgi-pm-perl,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libwww-perl
Recommends: libhttp-message-perl | libwww-perl (<< 6),
            liblwp-protocol-https-perl | libwww-perl (<< 6)
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          liblemonldap-ng-portal-perl,
          libsoap-lite-perl
Description: Lemonldap::NG Apache handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the Apache module part (handler) used to protect web
 areas.

Package: liblemonldap-ng-conf-perl
Depends: liblemonldap-ng-common-perl
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liblemonldap-ng-common-perl
Replaces: liblemonldap-ng-conf-perl (<< 1.3.3~)
Breaks: liblemonldap-ng-conf-perl (<< 1.3.3~)
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libdbi-perl,
         libnet-cidr-lite-perl,
         libsoap-lite-perl
Recommends: libapache-session-browseable-perl,
            libhtml-template-perl,
            libnet-ldap-perl,
            libhttp-message-perl | libwww-perl (<< 6),
            liblwp-protocol-https-perl | libwww-perl (<< 6),
            libxml-libxml-perl,
            libxml-simple-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs common files used by other Lemonldap::NG modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libhtml-template-perl,
         libjson-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libwww-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl,
         libxml-simple-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libapache-session-browseable-perl,
            liblwp-protocol-https-perl | libwww-perl (<< 6)
Pre-Depends: debconf
Provides: liblemonldap-ng-cli-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the administration interface (manager).

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libcgi-pm-perl,
         libclone-perl,
         libhtml-template-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libmime-lite-perl,
         libnet-ldap-perl,
         libregexp-assemble-perl,
         libstring-random-perl,
         libunicode-string-perl
Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
            libwww-perl
Suggests: libauthcas-perl,
          libauthen-captcha-perl,
          libdbi-perl,
          libglib-perl,
          liblasso-perl (>= 2.3.0),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          libnet-facebook-oauth2-perl,
          libnet-openid-consumer-perl,
          libnet-openid-server-perl,
          libnet-twitter-perl,
          libsoap-lite-perl,
          liburi-perl,
          libweb-id-perl,
          libhttp-message-perl | libwww-perl (<< 6),
          liblwp-protocol-https-perl | libwww-perl (<< 6),
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-simple-perl,
          slapd
Pre-Depends: debconf
Description: Lemonldap::NG authentication portal part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the authentication portal.
