## lemonldap-ng 1.4.6

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,11 @@
 RMANAGERSKINSDIR=$(DESTDIR)/$(MANAGERSKINSDIR)
 SESSIONSEXPLORERDIR=$(MANAGERDIR)
 RSESSIONSEXPLORERDIR=$(DESTDIR)/$(SESSIONSEXPLORERDIR)
-DOCDIR=$(DOCUMENTROOT)/doc
+DOCDIR=$(DOCUMENTROOT)
 RDOCDIR=$(DESTDIR)/$(DOCDIR)
+DEFDOCDIR=$(DOCUMENTROOT)/doc
+RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
+FRDOCDIR=$(DOCUMENTROOT)/fr-doc
 TESTDIR=$(DOCUMENTROOT)/test
 RTESTDIR=$(DESTDIR)/$(TESTDIR)
 EXAMPLESDIR=$(LMPREFIX)/examples
@@ -79,13 +82,9 @@
 APACHEFILENOTIFDIR=$(DATADIR)/notifications
 RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
 
-# LL::NG captcha data dir
-CAPTCHADIR=$(DATADIR)/captcha/data
+# LL::NG captcha dir
+CAPTCHADIR=$(DATADIR)/captcha
 RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
-
-# LL::NG captcha output dir
-CAPTCHAOUTPUTDIR=$(PORTALDIR)/captcha_output
-RCAPTCHAOUTPUTDIR=$(DESTDIR)/$(CAPTCHAOUTPUTDIR)
 
 # Apache user/group
 APACHEUSER=
@@ -141,8 +140,12 @@
 	@echo "   - install_manager_site  ($(MANAGERDIR))"
 	@echo "   - install_handler_site  ($(HANDLERDIR))"
 	@echo " * Documentation install :"
-	@echo "   - install_doc_site      ($(DOCDIR))"
+	@echo "   - install_doc_site      ($(DEFDOCDIR))"
 	@echo "   - install_examples_site ($(EXAMPLESDIR))"
+	@echo
+	@echo "Other languages documentation (fr only for now)"
+	@echo " - fr-doc                  (needs OmegaT)"
+	@echo " - install_fr_doc_site"
 	@echo
 
 #
@@ -201,7 +204,7 @@
 	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"
 
 extra_test:	all
-	cd ${SRCPORTALDIR} && prove -b -I ../lemonldap-ng-common/blib/lib -I ../lemonldap-ng-handler/blib/lib xt
+	cd ${SRCPORTALDIR} && prove -b -I ../lemonldap-ng-common/blib/lib -I ../lemonldap-ng-handler/blib/lib -I../${SRCPORTALDIR}/blib/lib/ xt
 #	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t
 
 #
@@ -271,13 +274,13 @@
 		cp --remove-destination _example/etc/test-apache$(APACHEVERSION).conf $(RCONFDIR); \
 		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
 	fi
-	@$(PERL) -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
-			s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
+	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
 			s#__PORTALDIR__#$(PORTALDIR)/#g; \
 			s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
 			s#__TESTDIR__#$(TESTDIR)/#g; \
 			s#__VHOSTLISTEN__#$(VHOSTLISTEN)#g; \
-			s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
+			s#__DEFDOCDIR__#$(DEFDOCDIR)/#g; \
+			s#__FRDOCDIR__#$(FRDOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
 	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/for_etc_hosts
 	# Fix a lost of rights on the main directory
 	@chmod 755 $(RBINDIR) $(RDOCUMENTROOT) $(REXAMPLESDIR) $(RHANDLERDIR) $(RPORTALSKINSDIR) $(RMANAGERSKINSDIR) $(RTOOLSDIR) $(RCONFDIR) $(RDATADIR)
@@ -307,7 +310,7 @@
 	@echo "5 - Connect to Manager at http://manager.${DNSDOMAIN}/ to edit configuration"
 	@echo
 	@if [ ! "$(APACHEUSER)" ]; then \
-		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR), $(APACHEPSESSIONFILEDIR), $(CAPTCHADIR), $(RCAPTCHAOUTPUTDIR) and $(CONFDIR) have permissive permissions."; \
+		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR), $(APACHEPSESSIONFILEDIR), $(CAPTCHADIR) and $(CONFDIR) have permissive permissions."; \
 		echo "    Fix them by yourself to restrict their view to apache process only"; \
 	fi
 	@echo
@@ -322,7 +325,7 @@
 		install -v -d $(RMANAGERSKINSDIR)/$$skin; \
 	done
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/index.pl ${RMANAGERDIR}
-	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notfound.html ${RMANAGERDIR}
+	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/*.html ${RMANAGERDIR}
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/skins/* $(RMANAGERSKINSDIR)
 	@if [ "$(MANAGERDIR)/skins/" != "$(MANAGERSKINSDIR)/" ]; then \
 		for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
@@ -334,7 +337,3 @@
 	# Sessions explorer and notifications explorer install
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/sessions.pl $(RSESSIONSEXPLORERDIR)
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notifications.pl $(RSESSIONSEXPLORERDIR)
-	@rm -rf $$(find ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
-		${RSESSIONSEXPLORERDIR} \
-		$(RCONFDIR) -type d -name .svn)
-
