=== debian/changelog ===
lemonldap-ng (1.4.6-3) unstable; urgency=medium

  * Replace jquery-ui libs by shared packages
  * Manager now depends on lemonldap-ng-doc
  * Add virtual packages saml-identity-provider and saml-service-provider
  * Replace fr-doc target by an alias to english documentation. 'fr-doc'
    Makefile target generates some errors with OmegaT.

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 25 Dec 2015 13:09:27 +0100

lemonldap-ng (1.4.6-2) unstable; urgency=medium

  * Update documentation path (Closes: #808473)
  * Add patch for a broken inheritance since upgrade (Closes: #808474)
  * Update debian/rules to clean double symlinks (not supported by Perl-5.22).
    Bug reported to upstream authors
  * Add spelling-errors.patch (reported)
  * Add lintian overrides file for false positive 'source-is-missing' tag:
    customized jquery-ui is not recognized by lintian (bug #808756)

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 22 Dec 2015 14:25:30 +0100

lemonldap-ng (1.4.6-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Add Dutch debconf translation.
    Thanks to Frans Spiesschaert. (Closes: #766514)

  [ Axel Beckert ]
  * debian/copyright: Use a Wayback Machine capture of Colin Clark's
    homepage. (Issue reported by DUCK.)

  [ Xavier Guimard ]
  * Imported Upstream version 1.4.6
  * Update debian/copyright
  * Replace Apache-2.4 patch by new apache-2.X upstream files
  * Update javascript patch to also replace bootstrap.js files by libjs-
    bootstrap package
  * Add libmouse-perl dependency
  * Add misc dependency to liblemonldap-ng-conf-perl transitional
    package
  * Update debian/NEWS: My::Handler example files are no more provided
  * Update handler.install file to remove My::Package files
  * Update debian/rules to remove files that are not deleted by quilt
  * Bump debhelper compatibility level to 9
  * Insert real names in long descriptions
  * Add debian/upstream/metadata
  * Add libjs-bootstrap in recommended dependencies
  * Really remove bootstrap fonts
  * Remove jquery copyright since it is deleted in packages

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 12 Oct 2015 12:54:26 +0200
