=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Xavier Guimard <x.guimard@free.fr>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                po-debconf
 Build-Depends-Indep: libapache-session-perl,
                      libauthcas-perl,
@@ -22,6 +22,7 @@
                      libio-string-perl,
                      libjson-perl,
                      liblasso-perl (>= 2.3.0),
+                     libmouse-perl,
                      libmime-lite-perl,
                      libnet-cidr-lite-perl,
                      libnet-ldap-perl,
@@ -51,6 +52,8 @@
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          liblemonldap-ng-manager-perl (= ${binary:Version}),
          liblemonldap-ng-portal-perl (= ${binary:Version})
+Provides: saml-identity-provider,
+          saml-service-provider
 Description: OpenID, CAS and SAML compatible Web-SSO system
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application Apache servers. It can be used in conjunction with
@@ -106,11 +109,12 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs the Apache module part (handler) used to protect web
+ Lemonldap::NG::Handler is the Apache module part (handler) used to protect web
  areas.
 
 Package: liblemonldap-ng-conf-perl
-Depends: liblemonldap-ng-common-perl
+Depends: ${misc:Depends},
+         liblemonldap-ng-common-perl
 Architecture: all
 Section: oldlibs
 Description: transitional dummy package
@@ -130,6 +134,7 @@
          libcrypt-openssl-x509-perl,
          libcrypt-rijndael-perl,
          libdbi-perl,
+         libmouse-perl,
          libnet-cidr-lite-perl,
          libsoap-lite-perl
 Recommends: libapache-session-browseable-perl,
@@ -150,17 +155,22 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs common files used by other Lemonldap::NG modules.
+ Lemonldap::NG::Common contains common files used by other Lemonldap::NG
+ modules.
 
 Package: liblemonldap-ng-manager-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         lemonldap-ng-doc (= ${binary:Version}),
          libconvert-pem-perl,
          libcrypt-openssl-rsa-perl,
          libhtml-template-perl,
          libjson-perl,
          libjs-jquery,
+         libjs-jquery-ui,
+         libjs-jquery-ui-theme-ui-lightness,
+         libjs-jquery-ui-theme-ui-darkness,
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
@@ -168,8 +178,7 @@
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-simple-perl
-Recommends: lemonldap-ng-doc (= ${binary:Version}),
-            libapache-session-browseable-perl,
+Recommends: libapache-session-browseable-perl,
             liblwp-protocol-https-perl | libwww-perl (<< 6)
 Pre-Depends: debconf
 Provides: liblemonldap-ng-cli-perl
@@ -185,7 +194,7 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs the administration interface (manager).
+ Lemonldap::NG::Manager provides the administration interface.
 
 Package: liblemonldap-ng-portal-perl
 Architecture: all
@@ -195,6 +204,7 @@
          libclone-perl,
          libhtml-template-perl,
          libjs-jquery,
+         libjs-jquery-ui,
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          libmime-lite-perl,
@@ -203,6 +213,7 @@
          libstring-random-perl,
          libunicode-string-perl
 Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
+            libjs-bootstrap,
             libwww-perl
 Suggests: libauthcas-perl,
           libauthen-captcha-perl,
@@ -235,5 +246,5 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs the authentication portal.
-
+ Lemonldap::NG::Portal provides the authentication portal.
+
