=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 LMSHAREDIR=/usr/share/lemonldap-ng
 LMVARDIR  =/var/lib/lemonldap-ng
 TMP       = $(CURDIR)/debian/tmp
+LMDOCDIR  =/usr/share/doc/lemonldap-ng-doc
 
 CONFDIR=/etc/lemonldap-ng
 SESSIONSDIR=$(LMVARDIR)/sessions
@@ -21,8 +22,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	cd lemonldap-ng-portal/example/skins/dark/ && rm -f redirect.tpl && ln -s ../common/redirect.tpl
 	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
 		PERLOPTIONS="INSTALLDIRS=vendor"
+
+override_dh_auto_clean:
+	cd lemonldap-ng-portal/example/skins/dark/ && rm -f redirect.tpl && ln -s ../pastel/redirect.tpl
+	$(MAKE) clean
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
@@ -40,10 +46,23 @@
 			CONFDIR=/etc/lemonldap-ng/ \
 			CRONDIR=/etc/cron.d/ \
 			DATADIR=$(LMVARDIR) \
+			APACHEVERSION=2.X \
 			APACHEUSER=www-data \
 			APACHEGROUP=www-data \
-			DOCDIR=/usr/share/doc/lemonldap-ng-doc
+			DEFDOCDIR=$(LMDOCDIR)
 
+	# Removing binary files due to a quilt bug
+	rm -rf $(TMP)/usr/share/lemonldap-ng/portal-skins/bootstrap/fonts \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/bootstrap/css/bootstrap*.css \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/bootstrap/js/bootstrap.js \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/common/js/jquery.cookie.js \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/js/jquery.cookie.js \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/common/js/jquery-ui-1.10.3.custom \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/js/jquery-ui-1.10.3.custom.js \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/common/js/jquery-1.10.2.js \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/js/jquery-1.10.2.js \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/ui-darkness \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/ui-lightness
 	test -n "$$LOCALBUILD" || ./scripts/minifierjs $$(find debian/tmp/ -name '*.js')
 	test -n "$$LOCALBUILD" || ./scripts/minifiercss $$(find debian/tmp/ -name '*.css')
