=== debian/watch ===
version=3
http://download.forge.objectweb.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
